Bug 215862 - Shortcuts not visible in Mac menu on JDK 7u6
Shortcuts not visible in Mac menu on JDK 7u6
Status: VERIFIED WONTFIX
Product: platform
Classification: Unclassified
Component: JDK Problems
7.2
PC Windows 7
: P1 (vote)
: 7.2
Assigned To: Antonin Nebuzelsky
issues@platform
jdk_bug_7186371-fixed-7u10b08
: REGRESSION, RELNOTE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 11:01 UTC by Stepan Zebra
Modified: 2012-10-04 14:03 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stepan Zebra 2012-07-24 11:01:27 UTC
Keyboard shortcuts aren't shown in main menu of NB 7.2 on MacOS X with JDK 7u6. They were visible with JDK 7u5.
Comment 1 Tomas Danek 2012-07-24 11:32:28 UTC
It's a regression in 7u6; introduced between b05 and b06
Comment 2 Marian Mirilovic 2012-07-24 12:03:01 UTC
Is it already reported to JDK team ?
Comment 3 Antonin Nebuzelsky 2012-07-24 13:19:24 UTC
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=7186371
Comment 4 Antonin Nebuzelsky 2012-07-25 13:47:11 UTC
This will need to be documented in Relnotes of 7.2 before JDK 7u6 ships, as the fix will not get into 7u6.

Ken, we need to mention that there is an issue with not displayed keyboard shortcut in main menu on Mac when running with Java 7 update 6 and the workaround for the users is to open Shortcuts PDF from the Help menu and see there what shortcuts NetBeans has.
Comment 5 Kenneth Ganfield 2012-08-01 15:32:53 UTC
Added to release notes for 7.2 but commented out until JDKu6 is released
Comment 6 Antonin Nebuzelsky 2012-09-13 08:49:00 UTC
The fix should appear in 7u10 b08. Please verify.
Comment 7 Stepan Zebra 2012-10-04 14:03:02 UTC
verified on 1.7.0_10-ea-b09


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo